﻿using QwirkleClassLibrary.Tiles;

namespace QwirkleClassLibrary.Events
{
    public class PlaceTileNotifiedEventArgs : EventArgs
    {
        public Tile Tile { get; private set; }

        public string Reason { get; private set; }

        public PlaceTileNotifiedEventArgs(Tile tile, string reason)
        {
            this.Tile = tile;
            this.Reason = reason;
        }
    }
}