
[![Build Status](https://codefirst.iut.uca.fr/api/badges/jeremy.mouyon/sae201_qwirkle/status.svg)](https://codefirst.iut.uca.fr/jeremy.mouyon/sae201_qwirkle)

# Notre QWIRKLE

## Objectif

Projet .NET MAUI portant sur la conception d'un jeu vidéo en reprenant un jeu déja existant, ici le QWIRKLE.

## Présentation de notre jeu

Notré présentation est consutable sur ce [lien](https://codefirst.iut.uca.fr/git/jeremy.mouyon/sae201_qwirkle/wiki/Pr%C3%A9sentation-du-jeu).

## Composition du groupe

* Jules Lascret
* Rémy Portet
* Jérémy Mouyon *(chef de projet)*


## *Comment utiliser notre application ?*

Tout d'abord, récupérez notre projet en tapant dans votre terminal : 
```sh
git clone https://codefirst.iut.uca.fr/git/jeremy.mouyon/sae201_qwirkle.git
```
Ensuite, lancez votre IDE préféré et exécutez le projet **QwirkleConsoleApp**. Cela vous permettra d'accéder à l'application qui se jouera dans un terminal.

**Trois options se présentent à vous :** lancer une partie, afficher le leaderboard, ou bien quitter l'application. Suivez les instructions que vous voyez sur l'écran afin d'effectuer votre choix. Il est à noter que la partie "leaderboard", permettant d'afficher les meilleurs scores de joueurs enregistrés lors des différentes parties jouées sur l'application, *n'est pas encore opérationnelle à ce stade du projet*.

### *Création d'une partie*

Commencez par rentrer les pseudos des joueurs qui participeront au jeu. Un minimum de 2 joueurs est **requis** pour lancer la partie, mais vous pouvez aller **jusqu'à 4 joueurs !**
***Attention***, veuillez prendre en compte que vous ne pouvez pas rentrer plusieurs fois le même pseudo pour différents joueurs.

Après avoir complété  cette étape, la partie sera crée. Sur la console, vous verrez alors affichées diverses informations telles que le plateau de jeu, et notamment le nom et les tuiles de la personne dont c'est le tour de jouer.


### *Jouer un tour*

Le joueur peut, lors de son tour, effectuer différentes actions telles que : 
**1. Placer une tuile**
**2. Echanger ses tuile**
**3. Passer son tour**

#### **Placer une tuile**

Afin d'effectuer cette opération, vous devrez d'abord sélectionner la tuile de votre choix en indiquant son numéro, puis vous devez rentrer les coordonnées de la case dans laquelle vous vous voulez placer cette dernière. Si vous ne vous rappelez plus des règles du Qwirkle, vous pouvez les consulter [ici](https://codefirst.iut.uca.fr/git/jeremy.mouyon/sae201_qwirkle/wiki/Pr%C3%A9sentation-du-jeu).
Après cela, vous pourrez continuer à placer d'autres tuiles, si vous le souhaitez, ou vous pourrez terminer votre tour.

#### **Echanger ses tuiles**

Si vous souhaitez échanger des des tuiles de votre main, vous pouvez choisir de les échanger avec des tuiles de la pioche. Entrez simplement les numéros correspondants des tuiles que vous voulez échanger.
Attention, gardez à l'esprit que si vous choisissez cette option, vous ne pourrez pas jouer durant ce tour.

### Et voilà !

Votre partie est lancée ! Amusez-vous bien avec ce jeu de Qwirkle !

*PS pour Mr Chargueraud : Promesse faite, promesse tenue ! Mon problème de score est en grande partie réglé (non sans peine) !*
*Le seul problème restant étant que sur certains cas, le +6 de la complétion de ligne peut s'effectuer 2 fois.*